import { Appointment } from "./appointment.model";

export interface Consultant {
    agentNo          : string;
    appointments?    : Appointment[];
    avgScore         : number;
    contactStatus?   : string;
    createTime       : string;
    customerViewTime?: string;
    expertise        : string[];
    img              : string;
    name             : string;
    role             : string;
    seniority        : string;
    updateTime       : string;
}

export interface ConsultantWithAppointmentId extends Consultant {
  appointmentDate            : string;
  appointmentId              : number;
  appointmentLastModifiedDate: string;
  appointmentScore?          : number;
  appointmentStatus          : string;
}

